<!--
Get your module up and running quickly.

Find and replace all on all files (CMD+SHIFT+F):
- Name: Manolis UI
- Package name: manolis-ui
- Description: My new Nuxt module
-->

# Manolis UI

[![npm version][npm-version-src]][npm-version-href]
[![npm downloads][npm-downloads-src]][npm-downloads-href]
[![License][license-src]][license-href]
[![Nuxt][nuxt-src]][nuxt-href]

A design system for every product and or company under manolis trading

- [✨ &nbsp;Release Notes](/CHANGELOG.md)
<!-- - [🏀 Online playground](https://stackblitz.com/github/manolis-trading/manolis-ui?file=playground%2Fapp.vue) -->
<!-- - [📖 &nbsp;Documentation](https://example.com) -->

## Features

<!-- Highlight some of the features your module provide here -->
- 🌼 Build on top of daisy UI
- 🛠 55 custom build components
- 📦 Packaged for Vue 3 and nuxt 3

## Quick Setup

Install the module to your Nuxt application with one command:

```bash
npx nuxi module add manolis-ui
```


Or install it as a npm package:
```bash
npm install manolis-ui daisyui@latest tailwindcss postcss autoprefixer lucide-vue-next
```

add manolis ui and tailwind to your project:

```typescript
export default defineNuxtConfig({
  modules: ['manolis-ui', '@nuxtjs/tailwindcss'],
    manolisUI: {
      prefix: "",
      global: false,
      disableGlobalStyles: false,
    },
  })
  ```

Create a tailwind.config.ts

```typescript
import { darkMode } from '#tailwind-config'
import type { Config } from 'tailwindcss'

export default <Partial<Config>>{
    // or further daisy ui settings see https://daisyui.com/docs/config/
    daisyui: {
      themes: ["light", "dark", "cupcake"]  //you can add custom themes aswell
    }
}
```

That's it! You can now use Manolis UI in your Nuxt app ✨


## Contribution

<details>
  <summary>Local development</summary>
  
  ```bash
  # Install dependencies
  pnpm install
  
  # Generate type stubs
  pnpm dev:prepare
  
  # Develop with the playground
  pnpm dev
  
  # Build the playground
  pnpm dev:build
  
  # Run ESLint
  pnpm lint
  
  # Run Vitest
  pnpm test
  pnpm test:watch
  
  # Release new version
  pnpm release

  # Storybook
  pnpm storybook
  ```

</details>


<!-- Badges -->
[npm-version-src]: https://img.shields.io/npm/v/manolis-ui/latest.svg?style=flat&colorA=020420&colorB=00DC82
[npm-version-href]: https://npmjs.com/package/manolis-ui

[npm-downloads-src]: https://img.shields.io/npm/dm/manolis-ui.svg?style=flat&colorA=020420&colorB=00DC82
[npm-downloads-href]: https://npm.chart.dev/manolis-ui

[license-src]: https://img.shields.io/npm/l/manolis-ui.svg?style=flat&colorA=020420&colorB=00DC82
[license-href]: https://npmjs.com/package/manolis-ui

[nuxt-src]: https://img.shields.io/badge/Nuxt-020420?logo=nuxt.js
[nuxt-href]: https://nuxt.com